Debian Bug report logs - #713527
logidee-tools: FTBFS: ! I can't find file `pgfutil-common.tex'.

version graph

Package: src:logidee-tools; Maintainer for src:logidee-tools is Raphaël Hertzog <hertzog@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 22 Jun 2013 14:10:27 UTC

Severity: serious

Tags: jessie, sid

Found in version logidee-tools/1.2.13

Fixed in version logidee-tools/1.2.14

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#713527; Package src:logidee-tools. (Sat, 22 Jun 2013 14:10:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Sat, 22 Jun 2013 14:10:32 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: logidee-tools: FTBFS: ! I can't find file `pgfutil-common.tex'.
Date: Sat, 22 Jun 2013 15:55:32 +0200
Source: logidee-tools
Version: 1.2.13
Severity: serious
Tags: jessie sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20130620 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[3]: Entering directory `/«PKGBUILDDIR»/doc'
> xsltproc --xinclude --stringparam selection none --stringparam cycle false --stringparam charte gfdl --stringparam trainer false --stringparam lang en --stringparam slide true --stringparam description true  ../xsl/formation-tex.xsl  formation_doc.xml > formation_doc.tex
> make[3]: Leaving directory `/«PKGBUILDDIR»/doc'
> rm makefile.tmp
> # Three times to get cross-references right (argh)
> latex formation_doc.tex && latex formation_doc.tex && latex formation_doc.tex
> This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013/Debian)
>  restricted \write18 enabled.
> entering extended mode
> (./formation_doc.tex
> LaTeX2e <2011/06/27>
> Babel <3.9f> and hyphenation patterns for 2 languages loaded.
> (../charte/gfdl/tex/logidoc.cls
> Document Class: logidoc 2000/19/04 v1.0 Standard Default logidee-tools document
>  class
> (/usr/share/texlive/texmf-dist/tex/latex/graphics/color.sty
> (/usr/share/texlive/texmf-dist/tex/latex/latexconfig/color.cfg)
> (/usr/share/texlive/texmf-dist/tex/latex/graphics/dvips.def)
> (/usr/share/texlive/texmf-dist/tex/latex/graphics/dvipsnam.def))
> (/usr/share/texlive/texmf-dist/tex/latex/base/ifthen.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/fancyhdr/fancyhdr.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/fancybox/fancybox.sty
> Style option: `fancybox' v1.4 <2010/05/15> (tvz)
> ) (/usr/share/texlive/texmf-dist/tex/latex/graphics/graphicx.sty
> (/usr/share/texlive/texmf-dist/tex/latex/graphics/keyval.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/graphics/graphics.sty
> (/usr/share/texlive/texmf-dist/tex/latex/graphics/trig.sty)
> (/usr/share/texlive/texmf-dist/tex/latex/latexconfig/graphics.cfg)))
> (/usr/share/texlive/texmf-dist/tex/latex/pstricks/pstricks.sty
> (/usr/share/texlive/texmf-dist/tex/generic/pstricks/pstricks.tex
> (/usr/share/texlive/texmf-dist/tex/generic/xkeyval/pst-xkey.tex
> (/usr/share/texlive/texmf-dist/tex/latex/xkeyval/xkeyval.sty
> (/usr/share/texlive/texmf-dist/tex/generic/xkeyval/xkeyval.tex)))
> (/usr/share/texlive/texmf-dist/tex/generic/pstricks/pst-fp.tex
> `pst-fp' v0.05, 2010/01/17 (hv))
> ! I can't find file `pgfutil-common.tex'.
> l.101 \input pgfutil-common.tex
>                                
> (Press Enter to retry, or Control-D to exit)
> Please type another input file name: 
> ! Emergency stop.
> l.101 \input pgfutil-common.tex
>                                
> No pages of output.
> Transcript written on formation_doc.log.
> make[2]: *** [formation_doc.dvi] Error 1

The full build log is available from:
   http://aws-logs.debian.net/ftbfs-logs/2013/06/20/logidee-tools_1.2.13_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on EC2 VM instances from
Amazon Web Services, using a clean, minimal and up-to-date chroot. Every
failed build was retried once to eliminate random failures.



Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 22 Jun 2013 21:36:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 22 Jun 2013 21:36:09 GMT) Full text and rfc822 format available.

Message #10 received at 713527-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 713527-close@bugs.debian.org
Subject: Bug#713527: fixed in logidee-tools 1.2.14
Date: Sat, 22 Jun 2013 21:33:20 +0000
Source: logidee-tools
Source-Version: 1.2.14

We believe that the bug you reported is fixed in the latest version of
logidee-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713527@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated logidee-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Jun 2013 22:59:33 +0200
Source: logidee-tools
Binary: logidee-tools
Architecture: source all
Version: 1.2.14
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 logidee-tools - Tools to write courses in XML and export them to various formats
Closes: 713527
Changes: 
 logidee-tools (1.2.14) unstable; urgency=low
 .
   * Add "pgf" to Build-Depends and Depends as it's now needed with the latest
     version of TeXlive. Closes: #713527
   * Also add texlive-lang-french and texlive-lang-german which is no longer
     implied by the texlive-latex-extra.
Checksums-Sha1: 
 d6f629754cce449ac42cca5b86e3629d70be2f96 1829 logidee-tools_1.2.14.dsc
 dfeb42daa9970cb4487781e86139e6c3124cc9b5 110062 logidee-tools_1.2.14.tar.gz
 1b0761a9254dc6371df208eb9f0db182263488b3 824828 logidee-tools_1.2.14_all.deb
Checksums-Sha256: 
 5a867409e37b1b8112ef3e38e68a09a9a38e5413207afce7da039d8bdfde2cef 1829 logidee-tools_1.2.14.dsc
 23c49eb6d80a0e7fb072caad404ef0d115e22d701437196c5fe5900df938ad3b 110062 logidee-tools_1.2.14.tar.gz
 7d6296186989a6337be08769add255c718a43d1e6f58977cf663794cb9daee77 824828 logidee-tools_1.2.14_all.deb
Files: 
 b2428c71bc5113b8a28270bd4e4c98ce 1829 text optional logidee-tools_1.2.14.dsc
 7b2e2222cf60ff1a6d52621a8f1b5a58 110062 text optional logidee-tools_1.2.14.tar.gz
 06dd26eac6158b3a58c05f764c5a67d4 824828 text optional logidee-tools_1.2.14_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJRxhVpAAoJEOYZBF3yrHKa5n8QAJC8aQP+FjubZKIKO5hLZG7i
QyCyv2AFCM76qph7g+VjGMFKmni7i+t5eA49JIcyPdw6YQekpNZjbXCTgjkS0igx
D9be5cfZ2nFWG/AW/KuKqnyAWWS944du5WPhecFAxDkGP5ML9vAaYNCIlmeArC5Z
Tvj84vfUcP3XIoay+/qae/HYgbFZI8qAMPa3zFq7VTlKIkgkj3JNsmDMfuF6VqDA
vq8Mf1VMAsH9TqOcsSA7wIkZSO7Gqxfe9DRTgkGMOF+83e7HtUQp8DfK9XVu6PqF
sNrjBdmMqfwqsZoHIMN/tlxVRvUEDTJvbJvCNxnIewmyahyCuazbiJzYTqcI9ZvD
H7w2KV8issRSMpagsScpHU3qkVel91iBtniGbb3wGLGmTfGb67XX1AsY2w/ttKv3
X10r/XAOrSZCEcGY8YrYCRwlYuaSVIB2+d57mGtOcYW5caIrBKHzEgLf1ZbCBJNs
Re+ZGfnXC6d47FALFCFcuTgqILa+ygfZy9Hlu4Iwr0VG/ejIs5iet/Ej97lRMtij
+eQvwXgvB8tOKcF0WBPZvwL+sFRcWK0geAaenj7tzYrZa1iGGWlmiJ91/6GDRRM/
yTIusmLAZd3wqhaBOUuC8vNssN0dQ0ly+V7h/DiB4B44pVu+dJjQofGEywHDOV/Y
fFcbSZPppDIyjjJyAjVr
=OiCi
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:29:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:19:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.